"""This modules defines all kinds of raised exceptions."""


class BaseSSAException(Exception):
    """A base class for all exceptions raised"""


class OSAPIError(BaseSSAException):
    """Raised when an error interacting with the OS API"""


class AuthenticationError(BaseSSAException):
    """Raised when failed to verify the validity of authentication data"""

