from typing import Union
from fastapi_utils.api_model import APIModel, BaseModel


class TokenRefresh(APIModel):
    refresh_token: str


class AuthUserModel(APIModel):
    login: str
    domain: Union[str, None] = ''
    password: str


class AuthResponse(BaseModel):
    access_token: str
    refresh_token: str
