import socket

from constants.common_const import ConstConfig as const


def extract_ip():
    """
    Get machine ip address
    """
    st = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
    try:
        st.connect((const.INTRANET_IP, 1))
        ip, port = st.getsockname()
    except Exception:
        ip = const.LOCAL_IP
    finally:
        st.close()
    return ip
